@import url("https://fonts.googleapis.com/css2?family=Kosugi+Maru&family=Zen+Kaku+Gothic+New&display=swap");

:root {
  --main-color: #bc7c3c;
  --point-color: #08420e;
  --text-color: #212121;
  --emtext-color: #ffe71a;
}

.zen-kaku-gothic-antique-regular {
  font-family: "Zen Kaku Gothic Antique", sans-serif;
  font-weight: 400;
  font-style: normal;
}
.line-seed-jp-regular {
  font-family: "LINE Seed JP", sans-serif;
  font-weight: 400;
  font-style: normal;
}
.kiwi-maru-regular {
  font-family: "Kiwi Maru", serif;
  font-weight: 400;
  font-style: normal;
}

/* ====== reset ====== */
*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  line-height: 1;
  font-style: normal;
  border: 0;
  border-style: solid;
  box-sizing: border-box;
}
html {
  font-size: 10px;
  line-height: 1;
  scroll-padding-top: 80px;
  overflow-y: scroll;
  height: -webkit-fill-available;
  scroll-behavior: smooth;
}
body {
  font-family: "Zen Kaku Gothic Antique", "Yu Gothic", "游ゴシック", YuGothic, "游ゴシック体", "ヒラギノ角ゴ Pro W3", "メイリオ", sans-serif;
  font-weight: 400;
  font-size: 18px;
  color: var(--text-color);
  line-height: 2;
  overflow: hidden;
  position: relative;
  counter-reset: number 0;
  overflow-wrap: break-word;
  background: url(../images/common/background.jpg);
  padding-top: 80px;
}

/* デバイス別フォントサイズ調整 */
@media screen and (max-width: 1081px) {
  html {
    scroll-padding-top: 80px;
  }
  body {
    font-size: calc(100vw / 66);
    padding-top: 80px;
  }
}
@media screen and (max-width: 821px) {
  body {
    font-size: calc(100vw / 54);
  }
}
@media screen and (max-width: 768px) {
  html {
    scroll-padding-top: 20vw;
  }
  body {
    font-size: calc(100vw / 28);
    padding-top: 18vw;
  }
}
/* @media screen and (orientation: landscape) {
  body {
    font-size: calc(100vw / 40);
  }
} */
/* @media screen and (max-width: 415px) {
  body {
    font-size: calc(100vw / 27);
    padding-top: 20vw;
  }
} */

/* htmlサイト初期設定 */
h1,
h2,
h3,
h4,
h5,
h6,
p {
  font-size: inherit;
  font-weight: normal;
}
div,
dd,
dt,
ul,
li,
section {
  line-height: 1.4;
}
p {
  line-height: 1.8;
}
ul,
ol {
  list-style: none;
  line-height: 2;
}
a {
  color: #333333;
  text-decoration: none;
}
a:active,
a:invalid,
a:hover {
  color: var(--main-color);
  text-decoration: none;
}
img {
  width: 100%;
}
small {
  font-size: 80%;
}
/* ====== 共通css ====== */
.txt-c {
  text-align: center;
}
.txt-l {
  text-align: left;
}
.txt-r {
  text-align: right;
}

.br_sp,
.br_tab {
  display: none;
}
.br_pc {
  display: inline;
}
.sp_block {
  display: none;
}
@media screen and (max-width: 1081px) {
  .br_tab {
    display: inline;
  }
}
@media screen and (max-width: 768px) {
  .br_tab,
  .br_pc {
    display: none;
  }
  .br_sp {
    display: inline;
  }
  .sp_block {
    display: block;
  }
}

.cotns_box {
  width: 90%;
  max-width: 1280px;
  margin: 60px auto 100px;
}
@media screen and (max-width: 768px) {
  .cotns_box {
    margin: 3vh auto 6vh;
  }
}

/* 見出し */
.cntns_hl1 {
  width: 100%;
  margin: 20px 0 10px;
  padding: 50px 0 10px 1em;
  font-family: "Kiwi Maru", serif;
  font-weight: bold;
  font-size: 2.4em;
  line-height: 1.2;
  position: relative;
}
/* .cntns_hl1::before {
  content: "";
  display: block;
  margin: auto;
  height: 3px;
  width: 0;
  background: var(--point-color);
  position: absolute;
  bottom: 0;
  left: 0;
} */
.cntns_hl1::after {
  content: "";
  display: block;
  margin: auto;
  /* height: 30%;
  max-height: 50px; */
  height: 50px;
  width: 100%;
  background: url(../images/index/shop_h.png) no-repeat;
  background-size: contain;
  mix-blend-mode: multiply;
  position: absolute;
  top: 0;
  left: 0;
}
.cntns_hl1.is-active::before {
  width: 100%;
  transition: all 1.5s ease 0s;
}

.cntns_hl1 .ruby {
  font-family: "Kosugi Maru", serif;
  font-weight: bold;
  font-size: 70%;
  color: var(--point-color);
  display: block;
  margin: -10px 0 0 auto;
  width: fit-content;
}
/*中の要素*/
.cntns_hl1_items {
  opacity: 0;
}
.cntns_hl1_items.is-active {
  animation-name: cntnshl2items;
  animation-duration: 1s;
  animation-fill-mode: forwards;
  position: relative;
  overflow: hidden;
}

@keyframes cntnshl2items {
  0%,
  50% {
    opacity: 0;
  }
  50.001%,
  100% {
    opacity: 1;
  }
}

@media screen and (max-width: 1181px) {
  .cntns_hl1 {
    font-size: calc(100vw / 34);
    margin: 0 auto 3vw;
    padding: 5vw 0 1vw 1em;
  }
  .cntns_hl1::after {
    height: 5vw;
  }
}
@media screen and (max-width: 1081px) {
  .cntns_hl1 {
    font-size: calc(100vw / 30);
    margin: 0 auto 3vw;
    padding: 5vw 0 1vw 1em;
  }
  .cntns_hl1::after {
    height: 5vw;
  }
}
@media screen and (max-width: 768px) {
  .cntns_hl1 {
    font-size: calc(100vw / 20);
    margin-bottom: 6vw;
    padding: 5vw 0 0 5vw;
    line-height: 1.6;
  }
  .cntns_hl1::before {
    width: 7vw;
  }
  .cntns_hl1::after {
    height: 6vw;
  }
}

/* 共通ボタンデザイン */
/* --------------------------
   基本ボタンスタイル
--------------------------- */
.main_btn {
  display: block;
  width: 200px;
  margin: 0 auto;
  padding: 0;
  font-size: 1.6rem;
  font-weight: 700;
  line-height: 1.5;
  text-align: center;
  text-decoration: none;
  letter-spacing: 0.1em;
  color: #212529;
  border-radius: 0.5rem;
  position: relative;
  perspective: 600px; /* 3D回転の透視 */
  transition: all 0.3s;
}

/* --------------------------
   3D回転ボックス
--------------------------- */
.main_btn-3dbox {
  position: relative;
  display: block;
  width: 100%;
  height: 100%;
  transform-style: preserve-3d;
  transition: all 0.4s;
  text-transform: uppercase;
}

/* ホバーで回転 */
.main_btn:hover .main_btn-3dbox {
  transform: translateY(-50%) rotateX(90deg);
}

.main_btn-face {
  display: block;
  position: relative;
  width: 100%;
  padding: 1.5rem 0;
  transition: all 0.4s;
  backface-visibility: hidden;
  background: #ffffff;
  border: 2px solid #333333;
}

.main_btn-face.back {
  position: absolute;
  top: 100%;
  left: 0;
  transform: translateY(-1px) rotateX(-90deg);
  transform-origin: 50% 0;
}

/* タブレット用のスタイル */
@media screen and (max-width: 1081px) {
  .main_btn {
    font-size: 1.4rem;
  }
}
/* スマートフォン用のスタイル */
@media screen and (max-width: 768px) {
}

/* ====== header ====== */
header {
  padding: 10px 0 20px;
  width: 100%;
  height: 90px;
  background: #ffffff;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 999;
  box-shadow: 1px 0 6px #66666666;
}
header::after {
  content: "";
  width: 100%;
  border-bottom: 3px dashed #773e18;
  position: absolute;
  bottom: 10px;
}
header h1 {
  line-height: 0;
  max-width: 180px;
  width: 30%;
}
header h1 a {
  display: block;
}
header .main_menu {
  width: 94%;
  margin: 0 auto;
  display: flex;
  align-items: end;
  justify-content: space-between;
}
/* header menu */
#menu_sp {
  display: none;
}
header#menu_pc nav ul {
  display: flex;
  align-items: flex-start;
  padding-right: 200px;
  padding-bottom: 10px;
  gap: 30px;
}
header#menu_pc nav li {
  font-size: 18px;
  font-weight: 700;
  line-height: 1;
  transition: all 0.3s ease 0s;
  position: relative;
  text-indent: -1em;
  padding-left: 1em;
}
header#menu_pc nav li:last-child {
  width: fit-content;
  height: 70px;
  border-radius: 0 0 10px 10px;
  overflow: hidden;
  position: absolute;
  top: 0;
  right: 30px;
  text-indent: initial;
  padding-left: initial;
}
header#menu_pc nav li::before {
  content: "";
  display: inline-block;
  width: 15px;
  height: 15px;
  margin-right: 5px;
  background: url(../images/common/icon.png) no-repeat center center;
  background-size: cover;
}
header#menu_pc nav li:last-child::before {
  display: none;
}
header#menu_pc nav li:last-child a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  padding: 0 20px;
  color: #ffffff;
  background: #08420e;
  text-align: center;
}
@media screen and (max-width: 1081px) {
  header {
    height: 80px;
    padding: 0vw 0 2vw;
  }
  header h1 {
    line-height: 0;
    max-width: 140px;
    width: 30%;
    margin-top: 0.5vw;
  }
  header .main_menu {
    flex-wrap: wrap;
  }
  header#menu_pc nav {
    margin: 10px 0 0 auto;
  }
  header#menu_pc nav ul {
    /* padding-right: 0; */
    gap: 2vw;
    padding-right: 20vw;
  }
  header#menu_pc nav li {
    font-size: calc(100vw / 58);
  }
  /* 
  header#menu_pc nav li br {
    display: none;
  } */
  header#menu_pc nav li:last-child {
    font-size: calc(100vw / 58);
    height: 56px;
    right: 20px;
  }
  header#menu_pc nav li:last-child a {
    padding: 0 20px;
  }
  header#menu_pc nav li:hover:last-child {
    height: 56px;
  }
}

/* hamburger menu */
nav.main_menu_sp {
  display: block;
  position: fixed;
  top: 0;
  left: -240px;
  bottom: 0;
  width: 240px;
  background: #ffffff;
  overflow-x: hidden;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  transition: all 0.5s;
  z-index: 3;
  opacity: 0;
}
.open nav.main_menu_sp {
  left: 0;
  opacity: 1;
  transition: all 0.5s;
}
nav.main_menu_sp .inner {
  padding: 25px;
}
nav.main_menu_sp .inner ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
nav.main_menu_sp .inner ul li {
  position: relative;
  margin: 0;
  border-bottom: 1px solid #773e18;
  background: url(../images/common/icon.png) no-repeat left center;
  background-size: 1em;
}
nav.main_menu_sp .inner ul li.insta a {
  display: flex;
  align-items: center;
  gap: 2vw;
}
nav.main_menu_sp .inner ul li.insta img {
  width: 20%;
}
nav.main_menu_sp .inner ul li:last-child {
  border: 0;
  background: none;
}
nav.main_menu_sp .inner ul li a {
  display: block;
  color: #333;
  font-size: 14px;
  padding: 1.5em 0 1.5em 1.25em;
  text-decoration: none;
  transition-duration: 0.2s;
}
nav.main_menu_sp .inner ul li a:hover {
  background: #e4e4e4;
}
nav.main_menu_sp .inner ul li.main_menu_sp_sns a {
  width: 80px;
}
.toggle_btn {
  display: block;
  position: fixed;
  top: 15px;
  left: 20px;
  width: 30px;
  height: 30px;
  transition: all 0.5s;
  cursor: pointer;
  z-index: 3;
}
.open .toggle_btn {
  left: 250px;
}
.toggle_btn span {
  display: block;
  position: absolute;
  right: 0;
  width: 30px;
  height: 2px;
  background-color: #773e18;
  border-radius: 4px;
  transition: all 0.5s;
}
.toggle_btn span:nth-child(1) {
  top: 4px;
}
.toggle_btn span:nth-child(2) {
  top: 14px;
}
.toggle_btn span:nth-child(3) {
  bottom: 4px;
}
.open .toggle_btn span {
  background-color: #ffffff;
}
.open .toggle_btn {
  -webkit-transform: rotate(180deg);
  transform: rotate(180deg);
}
.open .toggle_btn span:nth-child(1),
.open .toggle_btn span:nth-child(3) {
  width: 16px;
}
.open .toggle_btn span:nth-child(1) {
  top: 5px;
  -webkit-transform: translate(-1px, 4px) rotate(-45deg);
  transform: translate(-1px, 4px) rotate(-45deg);
}
.open .toggle_btn span:nth-child(2) {
  display: none;
}
.open .toggle_btn span:nth-child(3) {
  bottom: 4px;
  -webkit-transform: translate(-1px, -4px) rotate(45deg);
  transform: translate(-1px, -4px) rotate(45deg);
}
#mask {
  display: none;
  transition: all 0.5s;
}
.open #mask {
  display: block;
  position: fixed;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background: #000;
  opacity: 0.8;
  z-index: 2;
  cursor: pointer;
}
/* スマートフォン用のスタイル */
@media screen and (max-width: 768px) {
  header .main_menu {
    width: 96%;
    display: block;
  }
  header::after {
    border-bottom: 2px dashed #773e18;
    bottom: 8px;
  }
  header h1 {
    width: 60vw;
    max-width: 170px;
    margin: auto;
  }
  #menu_pc {
    display: none;
  }
  #menu_sp {
    display: block;
    height: 9vh;
    padding: 1vh 0;
    min-height: 90px;
  }
}
@media screen and (max-width: 391px) {
  header h1 {
    width: 35vw;
    max-width: 145px;
  }
  .toggle_btn {
    top: 3vw;
    left: 5vw;
    width: 30px;
    height: 30px;
  }
  #menu_sp {
    display: block;
    height: 9vh;
    padding: 1vh 0;
    min-height: 70px;
  }
}

/* ====== footer ====== */
footer {
  width: 100%;
  padding: 10px 0 20px;
  background: #f2e5d8;
  position: relative;
  z-index: 99;
}
footer .foot_menu {
  width: 100%;
  margin: 0 auto;
  padding: 40px 0 10px;
  border-top: 3px dashed #773e18;
  border-bottom: 3px dashed #773e18;
}
footer .foot_menu .foot_adrs {
  width: 90%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 30px;
}
footer h1 {
  width: 80%;
  max-width: 280px;
  margin: auto;
  line-height: 0;
  text-align: center;
  /* border: 1px solid #08420e; */
  flex: 0 0 calc(100% / 3);
}
footer h1 a {
  line-height: 0;
  display: block;
}
footer .foot_menu .foot_adrs .foot_contct {
  padding-left: 10%;
  flex: 0 0 calc(100% / 3);
}
footer .foot_menu .foot_adrs .foot_contct .foot_insta {
  display: flex;
  align-items: center;
  gap: 1em;
  font-weight: bold;
  font-family: "Kiwi Maru", serif;
}
footer .foot_menu .foot_adrs .foot_contct .foot_insta img {
  display: inline-block;
  width: 100%;
  max-width: 60px;
}
footer .foot_menu .foot_adrs .foot_contct .main_btn {
  margin: 10px 0;
}
footer .foot_menu .foot_adrs address {
  flex: 0 0 calc(100% / 3);
}
footer .foot_menu .foot_adrs address ul {
  width: fit-content;
  margin: 0 0 0 auto;
  padding: 10px;
  font-size: 18px;
  border: 1px #000000 solid;
}
footer .foot_menu .foot_adrs address ul li {
  margin: 5px auto;
}
footer .foot_nav ul {
  width: fit-content;
  margin: auto;
  padding: 20px 30px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 30px;
}
footer .foot_nav .footer_icon {
  padding-left: 20px;
  font-size: 18px;
  font-weight: bold;
  text-align: left;
  position: relative;
}
footer .foot_nav .footer_icon a {
  display: block;
}
footer .foot_nav .footer_icon::before {
  content: " ";
  width: 16px;
  height: 16px;
  display: inline-block;
  background: url("../images/common/icon.png") no-repeat;
  background-size: contain;
  position: absolute;
  top: calc(50% - 8px);
  left: 0;
}
.copyright {
  padding: 5px 0 20px;
  text-align: center;
  font-size: 16px;
}
@media screen and (max-width: 1025px) {
  footer .foot_nav ul {
    width: 100%;
    margin: auto;
    padding: 15px 0;
    gap: 10px;
  }
  footer .foot_btn .main_btn a {
    font-size: calc(50vw / 24);
  }
  footer .foot_menu .foot_adrs {
    flex-wrap: wrap;
    width: 100%;
  }
  footer .foot_menu .foot_adrs h1 {
    order: 1;
  }
  footer .foot_menu .foot_adrs .foot_contct {
    order: 2;
    padding: 0;
  }
  footer .foot_menu .foot_adrs address {
    flex: 0 0 calc(100% / 1);
    order: 3;
  }
  footer .foot_menu .foot_adrs address ul {
    margin: auto;
  }
}
@media screen and (max-width: 768px) {
  footer {
    padding: 6vw 0 3vw;
  }
  footer h1 {
    width: 60vw;
    max-width: none;
  }
  footer .foot_menu {
    display: block;
    padding: 3vw 0;
  }
  footer .foot_menu .foot_adrs {
    width: 100%;
    flex-direction: column;
  }
  footer .foot_menu .foot_adrs .foot_contct {
    width: 90%;
    padding-left: initial;
    flex: 0 0 100%;
    order: 3;
    display: flex;
    gap: 5vw;
  }
  footer .foot_menu .foot_adrs address ul {
    width: 100%;
    font-size: calc(100vw / 28);
  }
  footer .foot_menu .foot_adrs address ul li {
    margin: 2vw auto;
  }
  footer .foot_nav ul {
    flex-direction: column;
    padding: 5vw 1vw;
    gap: 6vw 0;
    margin: 4vw auto 10vw;
    width: fit-content;
  }
  footer .foot_nav .footer_icon {
    font-size: calc(100vw / 26);
    padding-left: 4vw;
  }
  footer .foot_nav .footer_icon::before {
    content: " ";
    width: 4vw;
    height: 4vw;
    top: calc(50% - 2vw);
    left: -2%;
  }
  footer .foot_btn .main_btn {
    max-width: 480px;
    width: 100%;
    margin-bottom: 10px;
    overflow: hidden;
  }
  footer .foot_btn .main_btn a {
    font-size: calc(100vw / 26);
    padding: 6vw 11vw 6vw 3vw;
  }
  .copyright {
    font-size: calc(100vw / 32);
  }
}
.tel {
  display: flex;
}

/* トップへ戻るボタン */
#page_top {
  width: 20px;
  height: 140px;
  position: fixed;
  bottom: 40px;
  right: 40px;
  font-size: 70%;
  text-align: center;
  cursor: pointer;
  z-index: 990;
}
#page_top .arrow {
  width: 100%;
  height: auto;
  position: relative;
  color: #000000;
  padding: 45px 0 0 0;
}
#page_top .arrow div {
  -ms-writing-mode: tb-rl;
  writing-mode: vertical-rl;
  font-family: "LINE Seed JP", sans-serif;
  font-weight: 400;
  letter-spacing: 0.2em;
}
#page_top .arrow span {
  margin: auto;
  position: absolute;
  top: 0;
  bottom: auto;
  left: 50%;
  animation: top_scllor 2s infinite;
}
@keyframes top_scllor {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(8px);
  }
  100% {
    transform: translateY(0);
  }
}

#page_top .arrow i {
  display: block;
  width: 1px;
  height: 30px;
  margin-top: 10px;
  background: #000000;
  width: 2px;
  margin: 0;
}
#page_top .arrow i::after {
  content: "";
  position: absolute;
  top: 4px;
  left: 0px;
  width: 10px;
  height: 2px;
  background: #000000;
  transform: rotate(45deg);
}

@media screen and (max-width: 1081px) {
  #page_top {
    height: auto;
    font-size: 80%;
  }
}
@media screen and (max-width: 768px) {
  #page_top {
    width: 16px;
    height: auto;
    position: fixed;
    right: 4%;
  }
}

/* svgの設定 */
/* メールアイコン */
svg {
  width: 100%;
  height: auto;
}
.mail_icon {
  display: inline-block;
  width: 20px;
  height: 17px;
}
.mailicon_b {
  fill: #ffffff;
}
.mailicon_g {
  fill: var(--text-color);
}
